%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define subrel 2

%define language br-FR
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Breton
%define name mozilla-thunderbird-%{locale}
%define version 1.5.0.5
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version %version
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{thunderbird_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{thunderbird_version}/linux-i686-gtk2+xft/xpi

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
# source was build from a hand written install.rdf and br-FR.jar from:
Source0: %{xpidir}/%language.xpi
License: GPL
Group: Networking/Mail
Url: http://www.drouizig.org/Pellgargan/Meziantou/thunderbird-1.0.6-win32-br-FR.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: mozilla-thunderbird
Requires(post): mozilla-thunderbird = %{thunderbird_version}
Requires(postun): mozilla-thunderbird = %{thunderbird_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Thunderbird

%prep
%setup -q -c
# put this to our current version
sed -i -e 's/maxVersion>.*</maxVersion>%{version}</g' install.rdf


%build

%install
rm -rf %buildroot
# MySpell files
#mkdir -p %buildroot%{mozillalibdir}/components/myspell/
#cp components/myspell/it.aff %buildroot%{mozillalibdir}/components/myspell/%language.aff
#cp components/myspell/it.dic %buildroot%{mozillalibdir}/components/myspell/%language.dic
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/%language-mail.jar %buildroot%{mozillalibdir}/chrome/%language.jar
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/lang/
cat << EOF > %buildroot%{mozillalibdir}/chrome/lang/lang-%name.txt
locale,install,url,jar:resource:/chrome/embed-sample.jar!/locale/%language/embed/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/communicator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/communicator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/editor/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-mapi/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-mdn/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-newsblog/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-offline/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/messenger-smime/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/mozldap/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/navigator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/navigator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pipnss/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/communicator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/communicator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/editor/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-mapi/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-mdn/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-newsblog/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-offline/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/messenger-smime/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/mozldap/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/navigator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/navigator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/pipnss/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{mozillalibdir}
%dir %{mozillalibdir}/chrome
%dir %{mozillalibdir}/chrome/lang
%{mozillalibdir}/chrome/*.jar
%{mozillalibdir}/chrome/lang/*.txt
#%{mozillalibdir}/components/myspell/*

%post -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%postun 
[ -x %{mozillalibdir}/mozilla-rebuild-databases.pl ] && %{mozillalibdir}/mozilla-rebuild-databases.pl
exit 0

%changelog
* Thu Aug 17 2006 Vincent Danen <vdanen@mandriva.com> 1.5.0.5-0.2
- use some sed magic to set the maxVersion to the current version

* Wed Aug 16 2006 Mandriva Security Team <security@mandriva.com> 1.5.0.5-0.1
- rebuild for thunderbird 1.5.0.5

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-1mdk
- initial package
